id: keybase-phish

info:
  name: keybase phishing Detection
  author: rxerium
  severity: info
  description: |
    A keybase phishing website was detected
  reference:
    - https://keybase.io
  metadata:
    max-request: 1
  tags: phishing,keybase,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - "Keybase is for keeping everyone's chats and files safe, from families to communities to companies. MacOS, Windows, Linux, iPhone, and Android."

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"keybase.io")'
# digest: 4a0a0047304502204a66d64ee9d475d1e78b69fea8fb951ada1c4d4505c98920cf9038fe9bac0a73022100b752674363b8e5fde5666227aa7cca42b4f954b18216068ceb1a8190a7c86d26:922c64590222798bb761d5b6d8e72950